Removing webkit from lenny

Michael Gilbert michael.s.gilbert at
Tue Aug 17 03:06:28 UTC 2010


The version of webkit in lenny isn't really supportable from a security
perspective. There are currently over 50 open issues needing fixing,
which is a gargantuan undertaking to say the least.

I think that the only sane solution is to remove the package in the
next upcoming point release.

The version included in lenny was rather experimental anyway, and I
doubt there are very many users that would suffer through using that
(I don't think there are any browser frontends other than the default
gtk app anyway). A popcon count would be useful, but I couldn't figure
out how to get a graph for just stable. Regardless, I think the impact
of the removal would be negligible.

Well, let me know if you have any objections.  Otherwise I'll send a
request to the release team in a couple days.


More information about the Pkg-webkit-maintainers mailing list